# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "register"
version = "0.4.2"
authors = ["Andre Richter <andre.o.richter@gmail.com>", "Tock Project Developers <tock-dev@googlegroups.com>"]
exclude = [".gitignore", ".rustfmt.toml", ".vscode", "examples", "Makefile"]
description = "Common interface for MMIO and CPU registers"
homepage = "https://github.com/rust-embedded/register-rs"
readme = "README.md"
keywords = ["embedded", "registers", "mmio", "cpu", "bare-metal"]
categories = ["embedded", "hardware-support", "no-std"]
license = "MIT/Apache-2.0"
repository = "https://github.com/rust-embedded/register-rs"
[dependencies.tock-registers]
version = "0.4.x"
